IF OBJECT_ID('dbo.fco_integrada_rt05') IS NOT NULL
    DROP TABLE dbo.fco_integrada_rt05
go
CREATE TABLE dbo.fco_integrada_rt05
-- Planilla Integrada Registro Tipo 5
-- Total Aportes del Período a Riesgos Profesionales
(
    compania char(4) NOT NULL,
    anio smallint NOT NULL,
    mes tinyint NOT NULL,
    sucursal varchar(10) NOT NULL,
    tipo_planilla char(1) NOT NULL DEFAULT 'E',
    cod_ARP varchar(6) NOT NULL,
    secuencia smallint NOT NULL,
    nit varchar(16) NOT NULL,
    dv char(1) NOT NULL,
    suma_aportes decimal(10) NOT NULL,
    nro_aut varchar(15) NOT NULL,
    incapacidades decimal(10) NOT NULL,
    otros_riesgos decimal(10) NOT NULL,
    neto_aportes AS suma_aportes - incapacidades - otros_riesgos,
    dias_mora smallint NOT NULL,
    int_mora decimal(10) NOT NULL,
    subtotal_aportes AS suma_aportes - incapacidades - otros_riesgos + int_mora,
    nro_radicacion varchar(10) NOT NULL,
    saldo_favor decimal(10) NOT NULL,
    total_pagar AS suma_aportes - incapacidades - otros_riesgos + int_mora - saldo_favor,
    FSRP decimal(10) NOT NULL,
    total_afiliados decimal(6) NOT NULL,
    origen tinyint NOT NULL DEFAULT 0,
    CONSTRAINT pk_fco_integrada_rt05 PRIMARY KEY NONCLUSTERED (compania, anio, mes, sucursal, tipo_planilla, cod_ARP)

)
GO
GRANT ALL ON dbo.fco_integrada_rt05 TO PUBLIC
GO
